Subject: Re: [PATCH] net: usb: ax88179_178a: avoid writing the mac address before first reading

From: Jakub Kicinski <[email-masked]>
Date: Mon, 15 Apr 2024 10:48:02 -0700

On Mon, 15 Apr 2024 09:27:32 +0200 Jose Ignacio Tornos Martinez wrote:
> The issue happened at the initialization stage. At that moment, during
> normal rtnl_setlink call, the mac address is set and written in the device
> registers, but since the reset was not commanded previously, the mac
> address is not read from the device and without that, it always has the
> random address that is pre-generated just in case. 
> After this, during open operation, the reset is commanded and the mac
> address is read, but as the device registers were modified, it reads the
> pregenerated random mac address and not the default mac address for the
> device.

Oh, I see, why don't we issue the reset and probe time, then?